unit Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm2 = class(TForm)
    pbNoStatusText: TButton;
    pbWithStatusText: TButton;
    procedure FormCreate(Sender: TObject);
    procedure pbWithStatusTextClick(Sender: TObject);
    procedure pbNoStatusTextClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.dfm}

uses
  SDUGeneral,
  SDUProgress_U;

procedure TForm2.FormCreate(Sender: TObject);
begin
  self.Caption := Application.Title;
end;

procedure TForm2.pbNoStatusTextClick(Sender: TObject);
var
  progressDlg: TSDUProgress_F;
  i: integer;
begin

  progressDlg := TSDUProgress_F.Create(nil);
  try
    progressDlg.Min := 0;
    progressDlg.Max := 10;
    progressDlg.Title := 'Demo one...';
    progressDlg.Show();
    Application.ProcessMessages();

    for i:=0 to 10 do
      begin
      progressDlg.Position := i;
      Application.ProcessMessages();

      if progressDlg.Cancel then
        begin
        break;
        end;

      sleep(1000);
      end;

  finally
    progressDlg.Free();
  end;

end;

procedure TForm2.pbWithStatusTextClick(Sender: TObject);
var
  progressDlg: TSDUProgress_F;
  i: integer;
begin

  progressDlg := TSDUProgress_F.Create(nil);
  try
    progressDlg.Min := 0;
    progressDlg.Max := 10;
    progressDlg.Title := 'Demo one...';
    progressDlg.ShowStatusText := TRUE;
    progressDlg.Show();
    Application.ProcessMessages();

    for i:=0 to 10 do
      begin
      progressDlg.Position := i;
      progressDlg.StatusText := 'ABC '+inttostr(i)+' XYZ';
      Application.ProcessMessages();

      if progressDlg.Cancel then
        begin
        break;
        end;

      sleep(1000);
      end;

  finally
    progressDlg.Free();
  end;

end;

END.

