object frmWizardCreateVolume: TfrmWizardCreateVolume
  Left = 360
  Top = 437
  BorderStyle = bsDialog
  Caption = 'FreeOTFE Volume Creation Wizard'
  ClientHeight = 382
  ClientWidth = 496
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  Position = poDesktopCenter
  OnCreate = FormCreate
  OnDestroy = FormDestroy
  OnShow = FormShow
  PixelsPerInch = 96
  TextHeight = 13
  object Bevel1: TBevel
    Left = 0
    Top = 339
    Width = 496
    Height = 2
    Align = alBottom
  end
  object pcWizard: TPageControl
    Left = 0
    Top = 0
    Width = 496
    Height = 339
    ActivePage = tsRNGSelect
    Align = alClient
    TabOrder = 0
    object tsWelcome: TTabSheet
      Caption = 'Welcome'
      object Label14: TLabel
        Left = 36
        Top = 52
        Width = 417
        Height = 20
        Caption = 'Welcome to the FreeOTFE Volume Creation Wizard.'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -16
        Font.Name = 'MS Sans Serif'
        Font.Style = [fsBold]
        ParentFont = False
      end
      object Label16: TLabel
        Left = 164
        Top = 192
        Width = 160
        Height = 13
        Caption = 'Please click "Next >" to continue.'
      end
      object Label19: TLabel
        Left = 76
        Top = 96
        Width = 323
        Height = 26
        Caption = 
          'This "wizard" will guide you through the process of either creat' +
          'ing a new FreeOTFE volume file, or a hidden volume within an exi' +
          'sting file.'
        WordWrap = True
      end
      object Label20: TLabel
        Left = 76
        Top = 132
        Width = 330
        Height = 39
        Caption = 
          'If you are unsure as to how to answer any of the questions this ' +
          'wizard asks, simply accepting the default values should generate' +
          ' a volume that is secure enough for most purposes.'
        WordWrap = True
      end
    end
    object tsFileOrPartition: TTabSheet
      Caption = 'Volume File or Partition'
      ImageIndex = 14
      object reInstructFileOrPartition: TRichEdit
        Left = 8
        Top = 12
        Width = 473
        Height = 77
        Color = clBtnFace
        Lines.Strings = (
          
            'Please specify whether the new volume should be created on in a ' +
            'volume file stored on your '
          'filesystem, or a disk partition'
          ''
          
            'For most users, it is recommended that you use a volume file; en' +
            'crypted partitions are intended for '
          'advanced users.')
        ReadOnly = True
        TabOrder = 1
      end
      object rgFileOrPartition: TRadioGroup
        Left = 195
        Top = 136
        Width = 97
        Height = 57
        Caption = 'File or Partition'
        Items.Strings = (
          '1st of two'
          '2nd of two')
        TabOrder = 0
        OnClick = rgFileOrPartitionClick
      end
    end
    object tsFilename: TTabSheet
      Caption = 'Volume filename'
      ImageIndex = 1
      object reInstructFilename: TRichEdit
        Left = 8
        Top = 12
        Width = 473
        Height = 77
        Color = clBtnFace
        Lines.Strings = (
          
            'Please specify the filename and location where the new volume sh' +
            'ould be created, by '
          'clicking the browse button.'
          ''
          
            'If you wish to create a "hidden" volume within an existing volum' +
            'e, please specify your existing '
          'volume to be used.')
        ReadOnly = True
        TabOrder = 1
      end
      object GroupBox1: TGroupBox
        Left = 20
        Top = 224
        Width = 445
        Height = 73
        Caption = 'Volume filename'
        TabOrder = 0
        object lblFilename: TLabel
          Left = 8
          Top = 20
          Width = 377
          Height = 37
          AutoSize = False
          Caption = 'lblFilename'
          WordWrap = True
        end
        object pbBrowseFilename: TButton
          Left = 356
          Top = 36
          Width = 75
          Height = 25
          Caption = '&Browse...'
          TabOrder = 0
          OnClick = pbBrowseFilenameClick
        end
      end
    end
    object tsPartitionWarning: TTabSheet
      Caption = 'Partition Warning'
      ImageIndex = 16
      object pnlWarningPartition: TPanel
        Left = 5
        Top = 56
        Width = 477
        Height = 177
        Caption = 'pnlWarningPartition'
        TabOrder = 0
        object Label24: TLabel
          Left = 208
          Top = 16
          Width = 61
          Height = 13
          Caption = 'WARNING'
          Color = clBtnFace
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clRed
          Font.Height = -11
          Font.Name = 'MS Sans Serif'
          Font.Style = [fsBold, fsUnderline]
          ParentColor = False
          ParentFont = False
        end
        object Label25: TLabel
          Left = 12
          Top = 92
          Width = 402
          Height = 13
          Caption = 
            '3) It is RECOMMENDED that you backup your data as appropriate be' +
            'fore continuing.'
          Color = clBtnFace
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clRed
          Font.Height = -11
          Font.Name = 'MS Sans Serif'
          Font.Style = []
          ParentColor = False
          ParentFont = False
          WordWrap = True
        end
        object Label26: TLabel
          Left = 12
          Top = 60
          Width = 418
          Height = 26
          Caption = 
            '2) Data stored on the partition you select in the next stage may' +
            ' be OVERWRITTEN with encrypted data.'
          Color = clBtnFace
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clRed
          Font.Height = -11
          Font.Name = 'MS Sans Serif'
          Font.Style = []
          ParentColor = False
          ParentFont = False
          WordWrap = True
        end
        object Label27: TLabel
          Left = 12
          Top = 40
          Width = 314
          Height = 13
          Caption = '1) Creating encrypted partitions is POTENTIALLY DESTRUCTIVE.'
          Color = clBtnFace
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clRed
          Font.Height = -11
          Font.Name = 'MS Sans Serif'
          Font.Style = []
          ParentColor = False
          ParentFont = False
          WordWrap = True
        end
        object Label28: TLabel
          Left = 12
          Top = 124
          Width = 443
          Height = 26
          Alignment = taCenter
          Caption = 
            'DO NOT PROCEED UNLESS YOU UNDERSTAND THE FULL IMPLICATIONS OF CR' +
            'EATING ENCRYPTED PARTITIONS.'
          Color = clBtnFace
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clRed
          Font.Height = -11
          Font.Name = 'MS Sans Serif'
          Font.Style = [fsBold]
          ParentColor = False
          ParentFont = False
          WordWrap = True
        end
      end
    end
    object tsPartitionSelect: TTabSheet
      Caption = 'Partition Select'
      ImageIndex = 15
      object Label21: TLabel
        Left = 148
        Top = 92
        Width = 188
        Height = 13
        Caption = '&Partition to create encrypted volume on:'
        FocusControl = lbPartition
      end
      object reInstructPartitionSelect: TRichEdit
        Left = 8
        Top = 12
        Width = 473
        Height = 77
        Color = clBtnFace
        Lines.Strings = (
          
            'Please select the partition you wish to create the new volume on' +
            ', and whether you would like to '
          'create a "hidden" volume.')
        ReadOnly = True
        TabOrder = 2
      end
      object lbPartition: TListBox
        Left = 143
        Top = 108
        Width = 201
        Height = 161
        ItemHeight = 13
        TabOrder = 0
        OnClick = lbPartitionClick
      end
      object ckPartitionHidden: TCheckBox
        Left = 124
        Top = 280
        Width = 241
        Height = 17
        Caption = '&Create hidden volume within selected partition'
        TabOrder = 1
        OnClick = ckPartitionHiddenClick
      end
    end
    object tsOffset: TTabSheet
      Caption = 'Offset'
      ImageIndex = 7
      object Label7: TLabel
        Left = 107
        Top = 292
        Width = 120
        Height = 13
        Caption = '&Byte offset within volume:'
        FocusControl = se64ByteOffset
      end
      object pnlWarningOffset: TPanel
        Left = 5
        Top = 92
        Width = 477
        Height = 177
        Caption = 'pnlWarningOffset'
        TabOrder = 0
        object Label10: TLabel
          Left = 208
          Top = 16
          Width = 61
          Height = 13
          Caption = 'WARNING'
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clRed
          Font.Height = -11
          Font.Name = 'MS Sans Serif'
          Font.Style = [fsBold, fsUnderline]
          ParentFont = False
        end
        object Label11: TLabel
          Left = 12
          Top = 92
          Width = 440
          Height = 39
          Caption = 
            '3) Remember the offset entered! For security reasons, this infor' +
            'mation is not stored anywhere, nor can it be determined automati' +
            'cally; you will need to type in this offset whenever  you wish t' +
            'o mount your hidden volume.'
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clRed
          Font.Height = -11
          Font.Name = 'MS Sans Serif'
          Font.Style = []
          ParentFont = False
          WordWrap = True
        end
        object Label12: TLabel
          Left = 12
          Top = 60
          Width = 425
          Height = 26
          Caption = 
            '2) Data within the file/partition specified in the previous stag' +
            'e may be OVERWRITTEN, starting from byte offset specified, and r' +
            'unning for the full length of the new hidden volume.'
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clRed
          Font.Height = -11
          Font.Name = 'MS Sans Serif'
          Font.Style = []
          ParentFont = False
          WordWrap = True
        end
        object Label8: TLabel
          Left = 12
          Top = 40
          Width = 296
          Height = 13
          Caption = '1) Creating hidden volumes is POTENTIALLY DESTRUCTIVE.'
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clRed
          Font.Height = -11
          Font.Name = 'MS Sans Serif'
          Font.Style = []
          ParentFont = False
          WordWrap = True
        end
        object Label13: TLabel
          Left = 12
          Top = 140
          Width = 443
          Height = 26
          Alignment = taCenter
          Caption = 
            'DO NOT PROCEED UNLESS YOU UNDERSTAND THE FULL IMPLICATIONS OF CR' +
            'EATING HIDDEN VOLUMES.'
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clRed
          Font.Height = -11
          Font.Name = 'MS Sans Serif'
          Font.Style = [fsBold]
          ParentFont = False
          WordWrap = True
        end
      end
      object reInstructOffset: TRichEdit
        Left = 8
        Top = 12
        Width = 473
        Height = 77
        Color = clBtnFace
        Lines.Strings = (
          
            'The volume file you specified already exists. To create a hidden' +
            ' volume within this file, please '
          
            'specify the byte offset within this file, from where the new vol' +
            'ume should begin.'
          ''
          
            'If you do NOT wish to create a hidden volume within your existin' +
            'g file, please click "< '
          'Back" and enter a different filename.')
        ReadOnly = True
        TabOrder = 1
      end
      object se64ByteOffset: TSpinEdit64
        Left = 236
        Top = 288
        Width = 145
        Height = 22
        Increment = 1
        TabOrder = 2
      end
    end
    object tsSize: TTabSheet
      Caption = 'Size'
      ImageIndex = 6
      object Label6: TLabel
        Left = 132
        Top = 156
        Width = 95
        Height = 13
        Caption = '&Size of new volume:'
        FocusControl = seSize
      end
      object cbSizeUnits: TComboBox
        Left = 304
        Top = 152
        Width = 53
        Height = 21
        Style = csDropDownList
        ItemHeight = 13
        TabOrder = 0
        OnChange = SizeChanged
      end
      object reInstructSize: TRichEdit
        Left = 8
        Top = 12
        Width = 473
        Height = 125
        Color = clBtnFace
        Lines.Strings = (
          'Please enter the required size of the new volume.'
          ''
          
            'If you are creating a hidden volume, then the size of the origin' +
            'al volume file, less the byte offset '
          
            'entered in the previous stage, must be greater than the sum of t' +
            'he value entered here, and the size '
          'critical data area.'
          ''
          
            'Note: The size you specified here will be the size of the data p' +
            'art of the volume file. The actual file '
          
            'created will be larger than this by the size of the critical dat' +
            'a area, which will be prepended onto the '
          'volume file.')
        ReadOnly = True
        TabOrder = 1
      end
      object seSize: TSpinEdit
        Left = 235
        Top = 152
        Width = 65
        Height = 22
        MaxValue = 0
        MinValue = 0
        TabOrder = 2
        Value = 0
        OnExit = seSizeExit
      end
    end
    object tsHashCypherIV: TTabSheet
      Caption = 'Hash, cypher and IV'
      ImageIndex = 2
      object Label4: TLabel
        Left = 85
        Top = 128
        Width = 59
        Height = 13
        Alignment = taRightJustify
        Caption = 'Select &hash:'
        FocusControl = cbHash
      end
      object Label5: TLabel
        Left = 85
        Top = 156
        Width = 68
        Height = 13
        Alignment = taRightJustify
        Caption = 'Select &cypher:'
        FocusControl = cbCypher
      end
      object Label22: TLabel
        Left = 85
        Top = 184
        Width = 66
        Height = 13
        Caption = '&Key iterations:'
        FocusControl = seKeyIterations
      end
      object Label23: TLabel
        Left = 85
        Top = 212
        Width = 52
        Height = 13
        Caption = 'Sector IVs:'
      end
      object cbHash: TComboBox
        Left = 161
        Top = 124
        Width = 145
        Height = 21
        Style = csDropDownList
        ItemHeight = 13
        TabOrder = 0
        OnChange = cbHashCypherIVGenChange
      end
      object cbCypher: TComboBox
        Left = 161
        Top = 152
        Width = 145
        Height = 21
        Style = csDropDownList
        ItemHeight = 13
        TabOrder = 2
        OnChange = cbHashCypherIVGenChange
      end
      object reInstructHashCypherIV: TRichEdit
        Left = 8
        Top = 12
        Width = 473
        Height = 61
        Color = clBtnFace
        Lines.Strings = (
          
            'Please select which security options should be used in securing ' +
            'your new volume.'
          ''
          
            'Most users can simply accept the defaults here, though more adva' +
            'nced users may prefer to specify '
          'their own options, depending on their needs.'
          '')
        ReadOnly = True
        TabOrder = 4
      end
      object pbHashInfo: TButton
        Left = 305
        Top = 124
        Width = 21
        Height = 21
        Caption = '?'
        TabOrder = 1
        OnClick = pbHashInfoClick
      end
      object pbCypherInfo: TButton
        Left = 305
        Top = 152
        Width = 21
        Height = 21
        Caption = '?'
        TabOrder = 3
        OnClick = pbCypherInfoClick
      end
      object seKeyIterations: TSpinEdit
        Left = 161
        Top = 180
        Width = 121
        Height = 22
        MaxValue = 0
        MinValue = 0
        TabOrder = 5
        Value = 0
        OnChange = cbHashCypherIVGenChange
      end
      object ckUsePerVolumeIV: TCheckBox
        Left = 161
        Top = 232
        Width = 242
        Height = 17
        Caption = 'Additionally XOR sector IV with per volume IV'
        TabOrder = 6
      end
      object cbSectorIVGenMethod: TComboBox
        Left = 161
        Top = 208
        Width = 145
        Height = 21
        Style = csDropDownList
        ItemHeight = 13
        TabOrder = 7
        OnChange = cbHashCypherIVGenChange
      end
    end
    object tsMasterKeyLength: TTabSheet
      Caption = 'Master Key Length'
      ImageIndex = 11
      object Label2: TLabel
        Left = 137
        Top = 156
        Width = 89
        Height = 13
        Caption = '&Size of master key:'
        FocusControl = seMasterKeyLength
      end
      object Label9: TLabel
        Left = 300
        Top = 156
        Width = 16
        Height = 13
        Caption = 'bits'
      end
      object reInstMasterKeyLen: TRichEdit
        Left = 8
        Top = 12
        Width = 473
        Height = 77
        Color = clBtnFace
        Lines.Strings = (
          'The cypher you selected supports arbitary key lengths.'
          ''
          
            'Please specify the length of the master key which will be used t' +
            'o encrypt/decrypt your data.'
          ''
          'Note: The value entered must be a multiple of 8.')
        ReadOnly = True
        TabOrder = 1
      end
      object seMasterKeyLength: TSpinEdit
        Left = 233
        Top = 152
        Width = 61
        Height = 22
        MaxValue = 9999
        MinValue = 1
        TabOrder = 0
        Value = 9999
        OnChange = seMasterKeyLengthChange
        OnExit = seMasterKeyLengthExit
      end
    end
    object tsRNGSelect: TTabSheet
      Caption = 'RNG Select'
      ImageIndex = 4
      object reInstructRNGSelect: TRichEdit
        Left = 8
        Top = 12
        Width = 473
        Height = 141
        Color = clBtnFace
        Lines.Strings = (
          
            'In order to create your new volume, a certain amount of random d' +
            'ata is required.'
          ''
          'This data will be used for the following:'
          ''
          '1) Password salting'
          '2) The new volume'#39's master key'
          '3) Random padding data'
          ''
          
            'In order to generate this data, please select which random numbe' +
            'r generators you wish to use from '
          'the options below.')
        ReadOnly = True
        TabOrder = 0
      end
      object gbRNG: TGroupBox
        Left = 151
        Top = 172
        Width = 187
        Height = 125
        Caption = 'Random number generator (RNG)'
        TabOrder = 1
        object ckRNGMouseMovement: TCheckBox
          Left = 16
          Top = 48
          Width = 141
          Height = 17
          Caption = 'Mouse movement'
          TabOrder = 1
          OnClick = ckRNGClick
        end
        object ckRNGCryptoAPI: TCheckBox
          Left = 16
          Top = 24
          Width = 125
          Height = 17
          Caption = 'Microsoft CryptoAPI'
          TabOrder = 0
          OnClick = ckRNGClick
        end
        object ckRNGcryptlib: TCheckBox
          Left = 16
          Top = 72
          Width = 97
          Height = 17
          Caption = 'cryptlib'
          TabOrder = 2
          OnClick = ckRNGClick
        end
        object ckRNGGPG: TCheckBox
          Left = 16
          Top = 96
          Width = 97
          Height = 17
          Caption = 'GPG'
          TabOrder = 3
          OnClick = ckRNGClick
        end
      end
    end
    object tsRNGMouseMovement: TTabSheet
      Caption = 'RNG Mouse movement'
      ImageIndex = 8
      DesignSize = (
        488
        311)
      object lblMouseRNGBits: TLabel
        Left = 159
        Top = 292
        Width = 169
        Height = 13
        Anchors = [akLeft, akBottom]
        Caption = 'Random bits generated: 9999/9999'
      end
      object reInstructRNGMouseMovement: TRichEdit
        Left = 8
        Top = 12
        Width = 473
        Height = 49
        Color = clBtnFace
        Lines.Strings = (
          'You have elected to use mouse movement to generate random data.'
          ''
          
            'Please "waggle" the mouse within the area below, until enough ra' +
            'ndom data has been generated.')
        ReadOnly = True
        TabOrder = 0
      end
      object MouseRNG: TMouseRNG
        Left = 8
        Top = 68
        Width = 472
        Height = 220
        TrailLines = 5
        LineWidth = 5
        LineColor = clNavy
        Anchors = [akLeft, akTop, akRight, akBottom]
        UseDockManager = False
        Enabled = False
        ParentColor = False
        OnByteGenerated = MouseRNGByteGenerated
      end
    end
    object tsRNGGPG: TTabSheet
      Caption = 'RNG GPG'
      ImageIndex = 10
      object reInstructRNGGPG: TRichEdit
        Left = 8
        Top = 12
        Width = 473
        Height = 77
        Color = clBtnFace
        Lines.Strings = (
          
            'In order to use GPG to generate random data, please specify the ' +
            'location of "gpg.exe" by clicking '
          'the browse button.')
        ReadOnly = True
        TabOrder = 1
      end
      object GroupBox2: TGroupBox
        Left = 20
        Top = 224
        Width = 445
        Height = 73
        Caption = 'GPG Executable'
        TabOrder = 0
        object lblGPGFilename: TLabel
          Left = 8
          Top = 20
          Width = 377
          Height = 37
          AutoSize = False
          Caption = 'lblGPGFilename'
          WordWrap = True
        end
        object pbBrowseGPG: TButton
          Left = 356
          Top = 36
          Width = 75
          Height = 25
          Caption = '&Browse...'
          TabOrder = 0
          OnClick = pbBrowseGPGClick
        end
      end
    end
    object tsPassword: TTabSheet
      Caption = 'Password'
      ImageIndex = 6
      object Label17: TLabel
        Left = 95
        Top = 148
        Width = 49
        Height = 13
        Caption = '&Password:'
        FocusControl = preUserKey1
      end
      object Label3: TLabel
        Left = 59
        Top = 220
        Width = 86
        Height = 13
        Caption = '&Confirm password:'
        FocusControl = preUserKey2
      end
      object reInstructPassword: TRichEdit
        Left = 8
        Top = 12
        Width = 473
        Height = 113
        Color = clBtnFace
        Lines.Strings = (
          'Please enter the password to be used for securing your volume.'
          ''
          
            'It is suggested that you enter a mix of uppercase, lowercase, nu' +
            'mbers, and punctuations symbols.'
          ''
          'Note: If you forget your password, you can forget your data.'
          ''
          
            'Note: Newlines (blank lines) are significant. It is recommended ' +
            'that you do not press <ENTER> '
          
            'after typing in your password, as this will add an extra newline' +
            ' to the end of your password.')
        ReadOnly = True
        TabOrder = 1
      end
      object preUserKey1: TPasswordRichEdit
        Left = 151
        Top = 144
        Width = 277
        Height = 61
        Lines.Strings = (
          'preUserKey1')
        ScrollBars = ssBoth
        TabOrder = 0
        OnChange = preUserKeyChange
      end
      object preUserKey2: TPasswordRichEdit
        Left = 151
        Top = 216
        Width = 277
        Height = 61
        Lines.Strings = (
          'preUserKey2')
        ScrollBars = ssBoth
        TabOrder = 2
        OnChange = preUserKeyChange
      end
    end
    object tsSalt: TTabSheet
      Caption = 'Salt'
      ImageIndex = 7
      object Label15: TLabel
        Left = 162
        Top = 188
        Width = 67
        Height = 13
        Caption = '&Length of salt:'
        FocusControl = seSaltLength
      end
      object Label18: TLabel
        Left = 306
        Top = 188
        Width = 19
        Height = 13
        Caption = 'bits.'
      end
      object reInstructSalt: TRichEdit
        Left = 8
        Top = 12
        Width = 473
        Height = 157
        Color = clBtnFace
        Lines.Strings = (
          
            'Please enter the amount of "salt" to be combined with your passw' +
            'ord to generate an encryption'
          'key.'
          ''
          
            '"Salting" your password increases security, and will slow down d' +
            'ictionary attacks against your'
          'volume.'
          ''
          'Note: The value entered must be a multiple of 8.'
          ''
          
            'Note: You will be required to enter this value every time you mo' +
            'unt your volume. For this reason'
          
            'it is recommended that most users leave it at it'#39's default value' +
            ', unless you have a particular'
          'need to do otherwise.')
        ReadOnly = True
        TabOrder = 1
      end
      object seSaltLength: TSpinEdit
        Left = 238
        Top = 183
        Width = 61
        Height = 22
        MaxValue = 9999
        MinValue = 0
        TabOrder = 0
        Value = 512
        OnChange = seSaltLengthChange
        OnExit = seSaltLengthExit
      end
    end
    object tsRequestedDriveLetter: TTabSheet
      Caption = 'Drive letter'
      ImageIndex = 12
      object Label1: TLabel
        Left = 142
        Top = 132
        Width = 107
        Height = 13
        Caption = '&Requested drive letter:'
        FocusControl = cbDriveLetter
      end
      object reInstDriveLetter: TRichEdit
        Left = 8
        Top = 12
        Width = 473
        Height = 53
        Color = clBtnFace
        Lines.Strings = (
          
            'Please enter the drive letter you would normally like this volum' +
            'e mounted under.'
          ''
          'Note: You will be able to change this later.'
          '')
        ReadOnly = True
        TabOrder = 1
      end
      object cbDriveLetter: TComboBox
        Left = 256
        Top = 128
        Width = 89
        Height = 21
        Style = csDropDownList
        ItemHeight = 13
        TabOrder = 0
      end
    end
    object tsCDBLocation: TTabSheet
      Caption = 'CDB Location'
      ImageIndex = 13
      object rbCDBInVolFile: TRadioButton
        Left = 66
        Top = 188
        Width = 192
        Height = 17
        Caption = 'Include CDB as part of volume file'
        TabOrder = 0
        OnClick = rbCDBLocationClick
      end
      object rbCDBInKeyfile: TRadioButton
        Left = 66
        Top = 208
        Width = 192
        Height = 17
        Caption = 'Store CDB as separate keyfile'
        TabOrder = 1
        OnClick = rbCDBLocationClick
      end
      object gbKeyfile: TGroupBox
        Left = 86
        Top = 224
        Width = 337
        Height = 73
        Caption = 'Keyfile'
        TabOrder = 2
        object lblKeyFilename: TLabel
          Left = 8
          Top = 20
          Width = 321
          Height = 37
          AutoSize = False
          Caption = 'lblKeyFilename'
          WordWrap = True
        end
        object pbBrowseKeyfile: TButton
          Left = 252
          Top = 40
          Width = 75
          Height = 25
          Caption = '&Browse...'
          TabOrder = 0
          OnClick = pbBrowseKeyfileClick
        end
      end
      object reInstCDBLocation: TRichEdit
        Left = 8
        Top = 12
        Width = 473
        Height = 165
        Color = clBtnFace
        Lines.Strings = (
          
            'Please specify if you would like your volume'#39's critical data blo' +
            'ck (CDB) to be written at the start of '
          'the new volume, or stored in a separate keyfile.'
          ''
          
            'The critical data block is where metadata about your volume is s' +
            'tored, together with the master key '
          'used to carry out the actual encryption/decryption of your data.'
          ''
          
            'For most users, including the CDB as part of the volume file is ' +
            'probably the best option.'
          ''
          
            'If you store this information in a keyfile, you will need both y' +
            'our volume file AND a keyfile in order to '
          'mount your volume.'
          ''
          
            'Note: Storing the CDB as part of the volume file will increase y' +
            'our volume'#39's size by 512 bytes.')
        ReadOnly = True
        TabOrder = 3
      end
    end
    object tsSummary: TTabSheet
      Caption = 'Summary'
      ImageIndex = 9
      DesignSize = (
        488
        311)
      object reSummary: TRichEdit
        Left = 8
        Top = 12
        Width = 473
        Height = 293
        Anchors = [akLeft, akTop, akRight, akBottom]
        Color = clBtnFace
        Lines.Strings = (
          'reSummary')
        PlainText = True
        ReadOnly = True
        ScrollBars = ssBoth
        TabOrder = 0
      end
    end
  end
  object pnlButtons: TPanel
    Left = 0
    Top = 341
    Width = 496
    Height = 41
    Align = alBottom
    Caption = 'pnlButtons'
    TabOrder = 1
    DesignSize = (
      496
      41)
    object lblStage: TLabel
      Left = 8
      Top = 4
      Width = 117
      Height = 13
      Alignment = taCenter
      AutoSize = False
      Caption = 'Stage 999 of 999'
    end
    object lblCompleteIndicator: TLabel
      Left = 116
      Top = 0
      Width = 95
      Height = 13
      Caption = 'lblCompleteIndicator'
    end
    object pbNext: TButton
      Left = 244
      Top = 8
      Width = 75
      Height = 25
      Anchors = [akRight, akBottom]
      Caption = '&Next >'
      TabOrder = 1
      OnClick = pbNextClick
    end
    object pbBack: TButton
      Left = 160
      Top = 8
      Width = 75
      Height = 25
      Anchors = [akRight, akBottom]
      Caption = '< &Back'
      TabOrder = 2
      OnClick = pbBackClick
    end
    object pbFinish: TButton
      Left = 328
      Top = 8
      Width = 75
      Height = 25
      Anchors = [akRight, akBottom]
      Caption = '&Finish'
      TabOrder = 0
      OnClick = pbFinishClick
    end
    object pbCancel: TButton
      Left = 412
      Top = 8
      Width = 75
      Height = 25
      Anchors = [akRight, akBottom]
      Cancel = True
      Caption = 'Cancel'
      TabOrder = 3
      OnClick = pbCancelClick
    end
    object pbStage: TProgressBar
      Left = 8
      Top = 20
      Width = 117
      Height = 13
      Smooth = True
      TabOrder = 4
    end
  end
  object SaveDialog: TSaveDialog
    Options = [ofHideReadOnly, ofPathMustExist, ofEnableSizing]
    Left = 80
    Top = 304
  end
  object GPGOpenDialog: TOpenDialog
    DefaultExt = 'exe'
    FileName = 'gpg.exe'
    Filter = 'GPG (gpg.exe)|gpg.exe|Executables (*.exe)|*.exe|All files|*.*'
    Options = [ofHideReadOnly, ofPathMustExist, ofFileMustExist, ofEnableSizing]
    Left = 48
    Top = 304
  end
end
